<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseStream..::.Close Method
DatabaseStream Class See Also Send Feedback

Discard the database stream.

It is possible for the Close() method to throw a DatabaseException if there is any failure.

After Close has been called, regardless of its result, the database stream handle cannot be used again. Always close the stream when you have finished accessing the external file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public void Close()

Visual Basic (Declaration)

    Public Sub Close

Visual C++

    public:
    void Close()

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.DatabaseException |

# See Also

DatabaseStream Class
BerkeleyDB Namespace